Skip to content

Redeem Invite Endpoint

POST
/auth/invites/redeem
curl --request POST \
--url https://example.com/auth/invites/redeem \
--header 'Content-Type: application/json' \
--data '{ "token": "example", "password": "example", "name": "example" }'

Redeem an admin-issued invite to create a local-auth user, then auto-login.

Media typeapplication/json
InviteRedeemRequest
object
token
required
Token

Plaintext invite token from the invite link.

string
<= 512 characters
password
required
Password

Password to set for the new account.

string
>= 8 characters <= 128 characters
name
Any of:
string
<= 255 characters

Example generated

{
"token": "example",
"password": "example",
"name": "example"
}

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}